- Qt 5.15
- Qt GUI
- C++ Classes
- Binder
- Qt 5.15.15 Reference Documentation

# Binder Class

class QOpenGLVertexArrayObject::Binder

The QOpenGLVertexArrayObject::Binder class is a convenience class to help with the binding and releasing of OpenGL Vertex Array Objects. More...

This class was introduced in Qt 5.1.

- List of all members, including inherited members

Note: All functions in this class are reentrant.

## Public Functions

| Binder(QOpenGLVertexArrayObject *v)
| ~Binder()
void | rebind()
void | release()

## Detailed Description

QOpenGLVertexArrayObject::Binder is a simple convenience class that can be used to assist with the binding and releasing of QOpenGLVertexArrayObject instances. This class is to QOpenGLVertexArrayObject as QMutexLocker is to QMutex.

This class implements the RAII principle which helps to ensure behavior in complex code or in the presence of exceptions.

The constructor of this class accepts a QOpenGLVertexArrayObject (VAO) as an argument and attempts to bind the VAO, calling QOpenGLVertexArrayObject::create() if necessary. The destructor of this class calls QOpenGLVertexArrayObject::release() which unbinds the VAO.

If needed the VAO can be temporarily unbound with the release() function and bound once more with rebind().

See also QOpenGLVertexArrayObject.

## Member Function Documentation

### Binder::Binder(QOpenGLVertexArrayObject *v)

Creates a QOpenGLVertexArrayObject::Binder object and binds v by calling QOpenGLVertexArrayObject::bind(). If necessary it first calls QOpenGLVertexArrayObject::create().

### Binder::~Binder()

Destroys the QOpenGLVertexArrayObject::Binder and releases the associated vertex array object.

### void Binder::rebind()

Can be used to rebind the associated vertex array object.

See also release().

### void Binder::release()

Can be used to temporarily release the associated vertex array object.

See also rebind().